precision mediump float;
varying vec2 aCoordinate;
uniform sampler2D fTextureLine;

void main() {
    vec4 maskColor = texture2D(fTextureLine, aCoordinate);
    highp float lineA = maskColor.b;
    highp float minA = 50.0 / 255.0;
    highp float maxA = 100.0 / 255.0;
    float a = step(minA, lineA);
    a *= (lineA - minA) / (maxA - minA);
    gl_FragColor = vec4(0, 0, 0, a);
}





